LV2: Data Structures

# LV2

An open and extensible audio plugin standard

Version | 1.18.10

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C LV2_Atom | The header of an atom:Atom
C LV2_Atom_Double | An atom:Double
C LV2_Atom_Event | The header of an atom:Event
C LV2_Atom_Event.time | Time stamp
C LV2_Atom_Float | An atom:Float
C LV2_Atom_Forge | A "forge" for creating atoms by appending to a buffer
C LV2_Atom_Forge_Frame | A stack frame used for keeping track of nested Atom containers
C LV2_Atom_Int | An atom:Int or atom:Bool
C LV2_Atom_Literal | An atom:Literal
C LV2_Atom_Literal_Body | The body of an atom:Literal
C LV2_Atom_Long | An atom:Long
C LV2_Atom_Object | An atom:Object
C LV2_Atom_Object_Body | The body of an atom:Object
C LV2_Atom_Object_Query | A single entry in an Object query
C LV2_Atom_Property | An atom:Property
C LV2_Atom_Property_Body | The body of an atom:Property (typically in an atom:Object)
C LV2_Atom_Sequence | An atom:Sequence
C LV2_Atom_Sequence_Body | The body of an atom:Sequence (a sequence of events)
C LV2_Atom_String | An atom:String
C LV2_Atom_Tuple | An atom:Tuple
C LV2_Atom_URID | An atom:URID
C LV2_Atom_Vector | An atom:Vector
C LV2_Atom_Vector_Body | The body of an atom:Vector
C LV2_Descriptor | Plugin Descriptor
C LV2_Event | An LV2 event (header only)
C LV2_Event_Buffer | A buffer of LV2 events (header only)
C LV2_Event_Feature | Non-POD events feature
C LV2_Event_Iterator | An iterator over an LV2_Event_Buffer
C LV2_Extension_Data_Feature | The data field of the LV2_Feature for this extension
C LV2_Feature | Feature
C LV2_Lib_Descriptor | Descriptor for a plugin library
C LV2_Log_Log | Log feature (LV2_LOG__log)
C LV2_Log_Logger | Logger convenience API state
C LV2_Options_Interface | Interface for dynamically setting options (LV2_OPTIONS__interface)
C LV2_Options_Option | An option
C LV2_Resize_Port_Resize | Host feature to allow plugins to resize their port buffers
C LV2_State_Free_Path | Feature data for state:freePath (LV2_STATE__freePath)
C LV2_State_Interface | LV2 Plugin State Interface
C LV2_State_Make_Path | Feature data for state:makePath (LV2_STATE__makePath)
C LV2_State_Map_Path | Feature data for state:mapPath (LV2_STATE__mapPath)
C LV2_URI_Map_Feature | URI Map Feature
C LV2_URID_Map | URID Map Feature (LV2_URID__map)
C LV2_URID_Unmap | URI Unmap Feature (LV2_URID__unmap)
C LV2_Worker_Interface | Plugin Worker Interface
C LV2_Worker_Schedule | Schedule Worker Host Feature
C LV2UI_Descriptor | A plugin UI
C LV2UI_Idle_Interface | UI Idle Interface (LV2_UI__idleInterface)
C LV2UI_Peak_Data | Peak data for a slice of time, the update format for ui:peakProtocol
C LV2UI_Port_Map | Feature to map port symbols to UIs
C LV2UI_Port_Subscribe | Feature to subscribe to port updates (LV2_UI__portSubscribe)
C LV2UI_Request_Value | A feature to request a new parameter value from the host
C LV2UI_Resize | Feature/interface for resizable UIs (LV2_UI__resize)
C LV2UI_Show_Interface | UI Show Interface (LV2_UI__showInterface)
C LV2UI_Touch | A feature to notify the host that the user has grabbed a UI control